cdev_init
Prev | Chapter 20. Char devices | Next

## Name

cdev_init — initialize a cdev structure

## Synopsis

`void cdev_init (` | struct cdev * | cdev,
| const struct file_operations * | fops`)`;

## Arguments

`cdev`

  the structure to initialize

`fops`

  the file_operations for this device

## Description

Initializes `cdev`, remembering `fops`, making it ready to add to the system with `cdev_add`.

Prev | Up | Next
cdev_alloc | Home | Chapter 21. Miscellaneous Devices